#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
# Copyright (C) 2013  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:		qubes-gui-common-devel
Version:	4.1.1
Release:	1%{?dist}
Summary:	Common files for Qubes GUI - protocol headers

Group:		Qubes
License:	GPL
URL:		http://www.qubes-os.org

Source0: %{name}-%{version}.tar.gz

%description
Protocol description headers for Qubes GUI

%prep

%setup -q

%install
mkdir -p %{buildroot}/usr/include
cp include/*.h %{buildroot}/usr/include/

%files
%defattr(644,root,root,-)
/usr/include/qubes-gui-protocol.h
/usr/include/qubes-xorg-tray-defs.h

%changelog
* Sat Apr 04 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-gui-common.git

* Sat Apr 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2a0dee3
- version 4.1.1

* Fri Mar 27 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 900f592
- Introduce MSG_CURSOR (VM to GUI)

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e22bc16
- travis: switch to bionic

* Wed Feb 27 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4fbd878
- version 4.1.0

* Thu Feb 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4f720ab
- Fix indentation

* Wed May 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - be12992
- version 4.0.2

* Wed May 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4dd64ea
- travis: add centos7

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b81c2ce
- travis: update fedora versions

* Thu Apr 05 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 79d7bf1
- spec.in: add changelog placeholder

* Thu Apr 05 2018 Frédéric Pierret <frederic.epitre@orange.fr> - a42e0b9
- Create .spec.in and Source0

* Fri Feb 16 2018 Simon Gaiser <simon@invisiblethingslab.com> - 2ee7da4
- New protocol version 1.2

* Tue Sep 26 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 830c5fb
- version 4.0.1

* Mon Sep 25 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b2ad814
- Fix link to documentation

* Sun Apr 09 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4a8e34e
- version 4.0.0

* Sun Apr 09 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6904c98
- travis: update for Qubes 4.0

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - da292a0
- travis: drop debootstrap workaround

* Thu Jun 02 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9d7a6c5
- travis: initial version

* Thu May 05 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 86efcce
- version 3.2.0

* Thu May 05 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d57bccb
- GUI Protocol version 1:1

* Thu May 05 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1110fe2
- Add MSG_WMCLASS message

* Thu Sep 03 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c611481
- version 3.0.3

* Sun Jul 05 2015 Rafał Wojdyła <omeg@invisiblethingslab.com> - 97ee397
- windows: don't invoke any compiler

* Sat Apr 04 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f1dde08
- version 3.0.2

* Sat Apr 04 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 72f157e
- rpm: fix file permissions of packaged files

* Fri Mar 27 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b198e1d
- version 3.0.1

* Thu Mar 12 2015 Jason Mehring <nrgaway@gmail.com> - 3b4ee42
- debian: Update changelog version to 3.0.0

* Sat Nov 22 2014 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d950653
- version 3.0.0

* Mon Jul 28 2014 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6597ee6
- version 2.0.4

* Sat Jul 26 2014 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b5460e4
- gitignore

* Sat Jul 26 2014 Davíð Steinn Geirsson <david@dsg.is> - 633e034
- Initial debian packaging

* Sun Jun 29 2014 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d8e9bf1
- version 2.0.3

* Sat Jun 28 2014 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 77d4bc4
- Introduce WINDOW_FLAG_MINIMIZE for msg_window_flags

* Fri Feb 21 2014 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b8c2bdb
- version 2.0.2

* Fri Feb 21 2014 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a307006
- Increase maximum window size to 16384x6144

* Fri Feb 21 2014 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9674903
- Avoid int overflow on big screen resolutions

* Wed Dec 04 2013 Joanna Rutkowska <joanna@invisiblethingslab.com> - a2cc2d3
- version 2.0.1

* Wed Oct 16 2013 Joanna Rutkowska <joanna@invisiblethingslab.com> - 35a798b
- version 1.2

* Thu Oct 10 2013 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 86195b7
- windows: export headers

* Tue Sep 17 2013 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 87dd959
- version 1.1

* Mon Jul 08 2013 Joanna Rutkowska <joanna@invisiblethingslab.com> - 6697265
- Dirty fixes to support using the includes on Windows

* Thu Apr 18 2013 Olivier Medoc <o_medoc@yahoo.fr> - d402bcd
- archlinux: build scripts

* Mon Mar 18 2013 Marek Marczykowski <marmarek@invisiblethingslab.com> - fea04d7
- Initial commit, based on gui 2.1.10

